Page MenuHomePhabricator

CX2: Canceling media insertion dialog leaves editor unusable
Closed, ResolvedPublic

Description

Clicking "Cancel" on Media Search dialog crashes cx2 with error "VM972:1037 Uncaught TypeError: Cannot read property 'hasBeenModified' of null". As a result, the media insertion dialog closes but the background overlay remains, making the editor behind it unusable (and without a way to close other than reloading the page, closing the tab, etc.).

Steps to replicate:

  1. Click on a paragraph
  2. Open Media Search dialog
  3. Now without doing anything click on "Cancel"

The page becomes unresponsive with an error in the console "VM972:1037 Uncaught TypeError: Cannot read property 'hasBeenModified' of null"

Event Timeline

Ryasmeen created this task.May 1 2018, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2018, 10:14 PM
Pginer-WMF renamed this task from Clicking "Cancel" on Media Search dialog crashes cx2 with error "VM972:1037 Uncaught TypeError: Cannot read property 'hasBeenModified' of null" to CX2: Canceling media insertion dialog leaves editor unusable.May 3 2018, 4:15 PM
Pginer-WMF triaged this task as Normal priority.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.
Petar.petkovic closed this task as Resolved.Oct 1 2018, 10:29 AM

This seems long gone.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 1 2018, 10:29 AM